<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Todo Add</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
          rel="stylesheet">
</head>
<body>
<h1 class="text-center p-3">Todo Edit</h1>

<div style="height: 100vh" class="form-box d-flex justify-content-center pt-5">
    <form th:object="${todo}" th:action="'/todo/edit?id=' + *{id}" method="post">
        <label>
            <input class="form-control"
                   th:value="*{title}"
                   type="text"
                   name="title"
                   placeholder="enter title">
            <br>
            <input class="form-control" th:value="*{priority}" type="text" name="priority" placeholder="enter priority">
        </label>
        <div class="actions d-flex gap-3">
            <button type="submit" class="btn btn-outline-success">Edit</button>
            <a href="/todo">
                <button type="button" class="btn btn-outline-secondary">
                    Back
                </button>
            </a>
        </div>
    </form>
</div>

</body>
</html>